Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to devel-merging cauldron by Karsten Behrmann (2943f0940b0eed1812ce6aa4af5c4a0164d97650)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Karsten Behrmann <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to devel-merging cauldron by Karsten Behrmann (2943f0940b0eed1812ce6aa4af5c4a0164d97650)
  • Date: Sat, 8 Jul 2006 16:04:32 -0500

GIT changes to devel-merging cauldron by Karsten Behrmann
<BearPerson AT sourcemage.org>:

ChangeLog | 4 +
iso/skeleton/etc/init.d/runlevels/%S/mountroot.sh | 51
++++++++++++++++++++++
iso/skeleton/etc/sysconfig/facilities | 4 +
iso/skeleton/etc/sysconfig/init | 29 ------------
iso/skeleton/etc/sysconfig/keymap | 11 ----
5 files changed, 59 insertions(+), 40 deletions(-)

New commits:
commit 2943f0940b0eed1812ce6aa4af5c4a0164d97650
Author: Karsten Behrmann <BearPerson AT sourcemage.org>
Commit: Karsten Behrmann <BearPerson AT sourcemage.org>

Add file to bypass mountroot.sh that doesn't work for us.
Actually this is a cherry-pick, but the change this is in contained a
bunch of files we don't care about

commit 3bc2ee3c1e248140d8482a116164183ef32c7854
Author: Karsten Behrmann <BearPerson AT sourcemage.org>
Commit: Karsten Behrmann <BearPerson AT sourcemage.org>

fix sysconfig files on ISO
(cherry picked from 3cb51c99159b2521735505476355ef86870dd63a commit)

diff --git a/ChangeLog b/ChangeLog
index 95e0d09..ae70228 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -2,6 +2,10 @@
* modules/bootloader: Fixed lilo description bug 10028
* modules/diskStructure: fixed bug 10745

+2006-03-28 Karsten Behrmann <BearPerson AT sourcemage.org>
+ * skeleton/etc/facilities/*: removed some unneeded files, added new
+ stuff to facilities
+
2006-03-04 Karsten Behrmann <BearPerson AT sourcemage.org>
* bootloader: also run mkofboot on ppc
* diskStructure: make sure fstab includes swapfile
diff --git a/iso/skeleton/etc/init.d/runlevels/%S/mountroot.sh
b/iso/skeleton/etc/init.d/runlevels/%S/mountroot.sh
new file mode 100755
index 0000000..a4a285a
--- /dev/null
+++ b/iso/skeleton/etc/init.d/runlevels/%S/mountroot.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=S
+PROVIDES=root_fs
+ESSENTIAL=yes
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+start()
+{
+ { >/etc/writable ; } 2>/dev/null && return 0
+ # If it's already writable, do nothing.
+
+ required_executable /bin/mount
+ required_executable /bin/mkdir
+ required_executable /bin/cp
+
+ if ! { >/tmp/writable ; } 2>/dev/null ;then
+ # Allow the user to mount something else to /tmp (hard drive, to save
RAM)
+ # Note that we don't have anything that would do so yet...
+ echo "Mounting tmpfs to /tmp..."
+ /bin/mount -t tmpfs tmpfs /tmp
+ evaluate_retval
+ fi
+
+ for i in etc root var/log var/lib/nfs ;do
+ echo "setting up a writeable /$i..."
+ /bin/mkdir -p /tmp/$i &&
+ /bin/cp -a --parents /$i /tmp &&
+ /bin/mount --bind /tmp/$i /$i
+ evaluate_retval
+ done
+}
+
+stop()
+{
+ exit 0
+}
+
+restart() { exit 3; }
+reload() { exit 3; }
+force_reload() { exit 3; }
+status() { exit 3; }
+
+usage()
+{
+ echo "Usage: $0 {start|stop}"
+ echo "Warning: Do not run this script manually!"
+}
diff --git a/iso/skeleton/etc/sysconfig/facilities
b/iso/skeleton/etc/sysconfig/facilities
index 16d15f1..8811c3a 100644
--- a/iso/skeleton/etc/sysconfig/facilities
+++ b/iso/skeleton/etc/sysconfig/facilities
@@ -1,3 +1,7 @@
+root_fs=mountroot.sh
+
+modules=modutils
+
network=network

syslog=
diff --git a/iso/skeleton/etc/sysconfig/init b/iso/skeleton/etc/sysconfig/init
deleted file mode 100644
index 81bfd5a..0000000
--- a/iso/skeleton/etc/sysconfig/init
+++ /dev/null
@@ -1,29 +0,0 @@
-DEFAULT_RUNLEVEL=3
-
-# How should an essential script failure be handled?
-# Possible values:
-# ignore - Attempt to continue as far as possible.
-# abort - Stop boot process and start a rescue shell.
-# ask - Allow any of the above options to be chosen.
-ESSENTIAL_FAIL_ACTION=ask
-
-# This is the directory holding the different runlevels. Do not change unless
-# you have a very good reason.
-RUNLEVELS_DIR=/etc/init.d/runlevels
-
-# Set this to PARALLEL_INIT="yes" if you want to try out PARALLEL_INIT.
-# Empty string or unset disables.
-PARALLEL_INIT=
-
-# Set this to SYSLOG_INIT="yes" if you want to log init.d messages to syslog.
-# Empty string or unset disables.
-SYSLOG_INIT=
-
-# Set this to FSCKFIX="yes" for fsck -y (always fix).
-FSCKFIX=
-
-# Set this to NOSOFTFIX="yes" for no fsck -a (non-interactive fix).
-NOSOFTFIX=
-
-# Set this to FORCE="yes" for fsck -f (force fsck).
-FORCE=
diff --git a/iso/skeleton/etc/sysconfig/keymap
b/iso/skeleton/etc/sysconfig/keymap
deleted file mode 100644
index 1ecf61e..0000000
--- a/iso/skeleton/etc/sysconfig/keymap
+++ /dev/null
@@ -1,11 +0,0 @@
-# Sets the proper keymap for the particular keyboard connected to this
system.
-KEYMAP=defkeymap
-
-# Enables the Euro sign on the console.
-ENABLE_EURO=no
-
-# Arguments passed to the consolechars program. You may wish to use this
-# setting to change the console font and charmap settings.
-# For example to setup french font and charmap use:
-# CONSOLECHARS_ARGS="-f lat1-16 -m iso15"
-CONSOLECHARS_ARGS=



  • [SM-Commit] GIT changes to devel-merging cauldron by Karsten Behrmann (2943f0940b0eed1812ce6aa4af5c4a0164d97650), Karsten Behrmann, 07/08/2006

Archive powered by MHonArc 2.6.24.

Top of Page